# -*- perl -*-
=pod

=head1 NAME

nwfilter/050-apply-verify-host.t

=head1 DESCRIPTION

This test will create two virtual machines. The one virtual machine
will use a filter called '${TESTFILTERNAME}', and reference the filter
'clean-traffic' which should be available by default with every install.
The other virtual machine will reference the filter 'tck-testcase' and will
have its filter permanently updated.

=cut

use strict;
use warnings;

use Test::More;

use Sys::Virt::TCK;
use File::Basename;
use Cwd;

my $tck = Sys::Virt::TCK->new();
my $conn = eval { $tck->setup(); };
BAIL_OUT "failed to setup test harness: $@" if $@;
END {
    $tck->cleanup if $tck;
}

if ( $conn->get_type() eq 'Xen' ) {
    $tck->cleanup if $tck;
    eval "use Test::More skip_all => \"Only relevant to QEMU driver\";";
}

my $sdir = dirname($0);
my $cwd = cwd();
chdir($sdir);
system("/bin/sh ./nwfilter2vmtest.sh --tap-test --noattach");
chdir($cwd);
